Skip to main content
GET
List interns

Authorizations

Authorization
string
header
required

API key as bearer token in Authorization header

Query Parameters

limit
integer

Maximum number of interns to return, from 1 through 500.

Required range: 1 <= x <= 500
Example:

50

status
enum<string>[]

Comma-separated lifecycle statuses to include.

Available options:
awaiting_slack_install,
queued,
provisioning,
running,
failed,
stopped,
destroying,
destroy_failed
Example:
workspace_id
string<uuid>

Only return interns in this workspace. It must match the API key workspace.

Example:

"89f9f5b2-3f89-4eaf-83ca-5ceae149e8bb"

Response

Interns matching the filters.

Interns visible to the authenticated API key.

data
object[]
required
has_more
boolean
required

True when more interns match the current filters.